%define oname   BalazarBrothers
%define rel 11

Name:           balazarbrothers
Version:        0.3.1
Release:        %mkrel %{rel}
License:        GPLv3+
Url:            http://home.gna.org/oomadness/fr/balazar_brothers/index.html
Source:         http://download.gna.org/soya/%{oname}-%{version}.tar.bz2
Group:          Games/Puzzles
Summary:        Amazing libre (GPLed) 3D puzzle game
Requires:       cerealizer soya glew openal cal3d python-twisted python
Requires:       pyvorbis pyogg pyopenal tofu
# (tv) for python:/usr/lib/python2.5/distutils/core.py
BuildRequires:  python-devel
Buildarch:      noarch

%description
Balazar Brother is an amazing libre (GPLed) 3D puzzle gam

%prep
%setup -q  -n %{oname}-%{version}
rm -rf `find -name CVS` `find -name .cvswrappers`

%build
# needed to generate proper c code for gcc4
#pyrexc _ode.pyx

%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}

install -d %{buildroot}%{_menudir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Balazar Brothers
Comment=%{summary}
Exec=%{_bindir}/balazar_brothers %U
Icon=puzzle_section
Terminal=false
Type=Application
Categories=Game;LogicGame;
StartupNotify=true
EOF

%files
%doc README
%_bindir/*
%_datadir/balazar_brothers
%_datadir/applications/*
%_datadir/*.egg-info






%changelog
* Thu May 25 2017 akien <akien> 0.3.1-11.mga6
+ Revision: 1104624
- Rebuild for ode 0.15.2

* Thu Feb 04 2016 umeabot <umeabot> 0.3.1-10.mga6
+ Revision: 934232
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 749110
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-8.mga5
+ Revision: 678104
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.3.1-7.mga5
+ Revision: 628114
- Rebuild for new Python

* Thu Feb 20 2014 shlomif <shlomif> 0.3.1-6.mga5
+ Revision: 595062
- Some fixes
- Importing balazarbrothers from Mandriva

